package com.tanya.careerguidanceproject.database

import androidx.room.Dao
import androidx.room.Delete
import androidx.room.Insert
import androidx.room.Query

@Dao
interface CourseDao {

    @Insert
    fun insertCourse(courseEntity: CourseEntity)

    @Delete
    fun deleteCourse(courseEntity: CourseEntity)

    @Query("SELECT * FROM courses")
    fun getCourse(): List<CourseEntity>

    /*@Query("SELECT * FROM books WHERE book_id = :bookId")
    fun getBooksById(bookId: String) : BookEntity
     */

}